Bug 829786 - [abrt] ipython-0.12-2.fc16: Magic.py:536:Magic:AttributeError: 'module' object has no attribute 'skip_doctest'
[abrt] ipython-0.12-2.fc16: Magic.py:536:Magic:AttributeError: 'module' objec...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ipython (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Thomas Spura
Fedora Extras Quality Assurance
abrt_hash:6915e3b944a07982ef6351e6cb1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-07 10:40 EDT by philpinaud
Modified: 2013-02-13 18:45 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 18:45:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description philpinaud 2012-06-07 10:40:21 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        /usr/bin/python /usr/bin/ipython Ejemplo_Grafico_3d.py
executable:     /usr/bin/ipython
kernel:         3.3.7-1.fc16.i686.PAE
reason:         Magic.py:536:Magic:AttributeError: 'module' object has no attribute 'skip_doctest'
time:           jue 07 jun 2012 10:21:52 CLT
uid:            1000
username:       lab

backtrace:
:Magic.py:536:Magic:AttributeError: 'module' object has no attribute 'skip_doctest'
:
:Traceback (most recent call last):
:  File "/usr/bin/ipython", line 26, in <module>
:    import IPython.Shell
:  File "/usr/lib/python2.7/site-packages/IPython/Shell.py", line 38, in <module>
:    from IPython.Magic import Magic
:  File "/usr/lib/python2.7/site-packages/IPython/Magic.py", line 89, in <module>
:    class Magic:
:  File "/usr/lib/python2.7/site-packages/IPython/Magic.py", line 536, in Magic
:    @testdec.skip_doctest
:AttributeError: 'module' object has no attribute 'skip_doctest'
:
:Local variables in innermost frame:
:magic_automagic: <function magic_automagic at 0xa879fb4>
:__module__: 'IPython.Magic'
:lsmagic: <function lsmagic at 0xa879d84>
:magic_lsmagic: <function magic_lsmagic at 0xa879f0c>
:arg_err: <function arg_err at 0xa879e2c>
:format_latex: <function format_latex at 0xa879e64>
:_ofind: <function _ofind at 0xa879df4>
:magic_magic: <function magic_magic at 0xa879f44>
:format_screen: <function format_screen at 0xa879e9c>
:profile_missing_notice: <function profile_missing_notice at 0xa879d14>
:parse_options: <function parse_options at 0xa879ed4>
:auto_status: ['Automagic is OFF, % prefix IS needed for magic functions.', 'Automagic is ON, % prefix NOT needed for magic functions.']
:default_option: <function default_option at 0xa879d4c>
:magic_autoindent: <function magic_autoindent at 0xa879f7c>
:extract_input_slices: <function extract_input_slices at 0xa879dbc>
:__doc__: 'Magic functions for InteractiveShell.\n\n    Shell functions which can be reached as %function_name. All magic\n    functions should accept a string, which they can parse for their own\n    needs. This can make some functions easier to type, eg `%cd ../`\n    vs. `%cd("../")`\n\n    ALL definitions MUST begin with the prefix magic_. The user won\'t need it\n    at the command line, but it is is needed in the definition. '
:__init__: <function __init__ at 0xa879cdc>
Comment 1 Thomas Spura 2012-06-09 16:33:46 EDT
Thanks for reporting this bug.

How did you reproduce this bug?
Did you enter some magic or did you just run your 3d script?

Could you trim your script down to a few lines, which reproduce this issue for you?

Which version of ipython do you have?/What's the output of "rpm -q ipython"?

Please update to a proper ipython version and try to reproduce this bug.
Comment 2 Fedora End Of Life 2013-01-16 15:20:21 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora End Of Life 2013-02-13 18:45:31 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.